Issue #14678 has been updated by yb601 (Iain Barnett).

File ruby_2018-05-09-135249_iains-MacBook-Air.crash added

Hi,

I have the same problem, exactly the same Ruby version and revision. I can supply a crash report or 3 if you require, here is some code that causes it:

~~~ ruby
require 'nenv'
require 'dotenv/load'
require 'sequel'
require 'pry-byebug'

unless defined? DB
  DB = Sequel.connect(Nenv.database_url) # <-- this line
end
~~~

> ruby/2.5.0/gems/sequel-5.8.0/lib/sequel/adapters/postgres.rb:146: [BUG] Segmentation fault at 0x0000000000000000
ruby 2.5.1p57 (2018-03-29 revision 63029) [x86_64-darwin13]

I was running ruby 2.5.0p0 (2017-12-25 revision 61468) [x86_64-darwin13] with the same code, no problems.

Let me know if you need any more.

Regards,
iain



----------------------------------------
Bug #14678: Segmentation fault in pg
https://bugs.ruby-lang.org/issues/14678#change-71919

* Author: ttanimichi (Tsukuru Tanimichi)
* Status: Feedback
* Priority: Normal
* Assignee: 
* Target version: 
* ruby -v: ruby 2.5.1p57 (2018-03-29 revision 63029) [x86_64-darwin16]
* Backport: 2.3: UNKNOWN, 2.4: UNKNOWN, 2.5: UNKNOWN
----------------------------------------
This error don't reproduce in Ruby 2.5.0 but reproduce in 2.5.1

~~~
$ bundle ex rspec
/Users/tanimichi.tsukuru/ghq/github.com/moneyforward/moneyplus/vendor/bundle/ruby/2.5.0/gems/pg-0.21.0/lib/pg.rb:56: [BUG] Segmentation fault at 0x0000000000000000
(snip)
Abort trap: 6
~~~

---Files--------------------------------
ruby_2018-04-11-182206_mf-C0037-mm01.crash (37.1 KB)
bug-14678.log (319 KB)
ruby_2018-05-09-135249_iains-MacBook-Air.crash (25.7 KB)


-- 
https://bugs.ruby-lang.org/

Unsubscribe: <mailto:ruby-core-request / ruby-lang.org?subject=unsubscribe>
<http://lists.ruby-lang.org/cgi-bin/mailman/options/ruby-core>